Jump to content
anshul123

Tried upgrading to 4.0.0 but getting error now

Recommended Posts

Fatal error: Call to undefined method MDB2_Error::setFetchMode() in /home/adserving123/public_html/lib/pear/DB/QueryTool/Query.php on line 299

 

how do i fix this, i m not able to make out, my adserver is on home page of this domain. please suggest

Share this post


Link to post
Share on other sites

Deleted everything and started doing it all again...

i tried running upgrade but it runs only installer.. not able to sure what is wrong, can u suggest something there?  and this error keeps coming

Your database contains an old OpenX configuration table: rv_preferences. If you are trying to upgrade this database, please copy your existing configuration file into the var folder of this install. If you wish to proceed with a fresh installation, please either choose a new Table Prefix or a new Database.

Not sure what can be wrong, and why upgrade is not running and only installer is running?

 

Share this post


Link to post
Share on other sites
1 hour ago, Erik Geurts said:

It seems you missed a vital step in the upgrade instructions, which is to copy the configuration files from the old to the new version before starting the upgrade wizard.

I did added the config file from old installation to new server var location and changed the database info too Aa mentioned. But not sure why I see thia insatll info and not upgrade, main seever is on sub domain does that effects things?

Share this post


Link to post
Share on other sites
23 hours ago, andrewatfornax said:

Yes! Upgrades need to be run on the same domain URL as the previous install / expected final location. You can't move things about (without manually tweaking the configuration files).

Do you know what's need to be tweaking ?

 

I'm trying to achieve  upgrade with new subdomain.

I did :

- copy  var/old-subdomain.tld.conf.php to  var/new-subdomain.tld.conf.php

- replace old subdomain strings with the new inside : new-subdomain.tld.conf.php.conf.php

- Made available the path to old subdomain directory to the new installation

At step 4 I give the path to old folder , but it fails.

/var/install.log says :

Starting file-check for plugins...
Plugin: openXBannerTypes - Unable to locate XML files
Plugin: openXDeliveryLimitations - Unable to locate XML files
Plugin: openX3rdPartyServers - Unable to locate XML files
Plugin: openXReports - Unable to locate XML files

....

Starting file-check for plugins...
Plugin: openXVideoAds - Unable to locate file: /data/web/OLD_REVIVE/www/admin/extensions/videoReport/navigation/oxVastMenuChecker.php
Plugin: openXVideoAds - Unable to locate file: /data/web/OLD_REVIVE/www/admin/extensions/videoReport/VastAreaGraph.php
Plugin: openXVideoAds - Unable to locate file: /data/web/OLD_REVIVE/www/admin/extensions/videoReport/VastMultiAreaGraph.ph

etc..

 

Same for all plugins.

So yes the old folder has no www/admin/extensions folder,  I check on the old server, and same no www/admin/extensions folder

I'm on it, but if someone has an idea ? :)

Thanks,

 

 

Update  13h09 :

Seems to be a mess  between my .conf.php and my really plugins folder.

I did pass the step by validating the url in adress bar, thens going to extensions administration and "import (code only)" each plugin.

 

Edited by yannux

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.




×
×
  • Create New...